For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all shipments

How to fetch a collection of shipments via API

To fetch a collection of shipments, send a GET request to the /api/shipments endpoint.

Request

GET https://yourdomain.commercelayer.io/api/shipments

Example

The following request fetches a collection of shipments:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/shipments/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "shipments",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN"
      },
      "attributes": {
        "number": "#1234/S/001",
        "status": "draft",
        "currency_code": "EUR",
        "cost_amount_cents": 1000,
        "cost_amount_float": 10.0,
        "formatted_cost_amount": "€10,00",
        "skus_count": 2,
        "selected_rate_id": "rate_f89e4663c3ed47ee94d37763f6d21d54",
        "rates": [
          {
            "id": "rate_f89e4663c3ed47ee94d37763f6d21d54",
            "rate": "45.59",
            "carrier": "DHLExpress",
            "service": "MedicalExpress"
          }
        ],
        "purchase_error_code": "SHIPMENT.POSTAGE.FAILURE",
        "purchase_error_message": "Account not allowed for this service.",
        "get_rates_errors": [
          {
            "carrier": "DHLExpress",
            "message": "to_address.postal_code: Shorter than minimum length 3",
            "type": "rate_error"
          }
        ],
        "get_rates_started_at": "2018-01-01T12:00:00.000Z",
        "get_rates_completed_at": "2018-01-01T12:00:00.000Z",
        "purchase_started_at": "2018-01-01T12:00:00.000Z",
        "purchase_completed_at": "2018-01-01T12:00:00.000Z",
        "purchase_failed_at": "2018-01-01T12:00:00.000Z",
        "on_hold_at": "2018-01-01T12:00:00.000Z",
        "picking_at": "2018-01-01T12:00:00.000Z",
        "packing_at": "2018-01-01T12:00:00.000Z",
        "ready_to_ship_at": "2018-01-01T12:00:00.000Z",
        "shipped_at": "2018-01-01T12:00:00.000Z",
        "delivered_at": "2018-01-01T12:00:00.000Z",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "order": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/order",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/order"
          }
        },
        "shipping_category": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/shipping_category",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/shipping_category"
          }
        },
        "inventory_stock_location": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/inventory_stock_location",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/inventory_stock_location"
          }
        },
        "stock_location": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/stock_location",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/stock_location"
          }
        },
        "origin_address": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/origin_address",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/origin_address"
          }
        },
        "shipping_address": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/shipping_address",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/shipping_address"
          }
        },
        "shipping_method": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/shipping_method",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/shipping_method"
          }
        },
        "delivery_lead_time": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/delivery_lead_time",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/delivery_lead_time"
          }
        },
        "pickup": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/pickup",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/pickup"
          }
        },
        "shipment_line_items": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/shipment_line_items",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/shipment_line_items"
          }
        },
        "stock_line_items": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/stock_line_items",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/stock_line_items"
          }
        },
        "stock_transfers": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/stock_transfers",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/stock_transfers"
          }
        },
        "line_items": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/line_items",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/line_items"
          }
        },
        "available_shipping_methods": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/available_shipping_methods",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/available_shipping_methods"
          }
        },
        "carrier_accounts": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/carrier_accounts",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/carrier_accounts"
          }
        },
        "parcels": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/parcels",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/parcels"
          }
        },
        "attachments": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/attachments",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/attachments"
          }
        },
        "events": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/events",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/events"
          }
        },
        "tags": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/tags",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/tags"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/shipments/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 shipments (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/shipments?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/shipments?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/shipments?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of shipments can be sorted by the following fields:

Attributes

  • number

  • status

  • cost_amount_cents

  • get_rates_started_at

  • get_rates_completed_at

  • purchase_started_at

  • purchase_completed_at

  • purchase_failed_at

  • on_hold_at

  • picking_at

  • packing_at

  • ready_to_ship_at

  • shipped_at

  • delivered_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Relationships

  • order

  • shipping_category

  • inventory_stock_location

  • stock_location

  • shipping_method

Filterable fields

The list of shipments can be filtered by the following fields:

Attributes

  • number

  • status

  • cost_amount_cents

  • get_rates_started_at

  • get_rates_completed_at

  • purchase_started_at

  • purchase_completed_at

  • purchase_failed_at

  • on_hold_at

  • picking_at

  • packing_at

  • ready_to_ship_at

  • shipped_at

  • delivered_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • order

  • shipping_category

  • inventory_stock_location

  • stock_location

  • origin_address

  • shipping_address

  • shipping_method

  • stock_line_items

  • stock_transfers

  • parcels

  • attachments

  • events

  • tags

Last updated